#1で朝食フラグをオン、0でオフにするプログラム
import pandas as pd
import csv
import numpy as np
R=6400
mf = list(range(R))

print("(1)朝食フラグをオンにする,(0)朝食フラグをオフにする")
#朝食フラグを1にする
while True:
    b = input()
    a = int(b)

    if a == 1:
        print("10分以下のレシピの朝食フラグをオンにします")
        for j in range(6400):
            df = pd.read_csv("./recipe_data/recipe_no"+ str(j+1) +".csv",encoding="cp932")

            for index, row in df.iterrows():
                if row["調理時間"] <= 10:
                    df.at[index,"朝食"] = 1
            
            mf[j] = df.iloc[1,9]
            df.to_csv("./recipe_data/recipe_no"+ str(j+1) +".csv", encoding="shift_jis",errors='ignore', index=False)
        break
    
    elif a == 0:#朝食フラグを0にする
        print("10分以下のレシピの朝食フラグをオフにします")
        for j in range(6400):
            df = pd.read_csv("./recipe_data/recipe_no"+ str(j+1) +".csv",encoding="cp932")

            for index, row in df.iterrows():
                if row["調理時間"] <= 10:
                    df.at[index,"朝食"] = 0
            
            mf[j] = df.iloc[1,9]
            df.to_csv("./recipe_data/recipe_no"+ str(j+1) +".csv", encoding="shift_jis",errors='ignore', index=False)
        break
    else:
        print("1か0を入力してください")
print("mf")
print(mf)
print("finish!!!")